<script setup>
import { useForm, Head } from '@inertiajs/vue3'
import { ref } from 'vue';

const form = useForm({
    email: '',
    password: '',
    errMessage: '',
});
const visible = ref(false), loading = ref(false)
const submit = () => {
    form.post(route('login'), {
        onFinish: () => {
            form.password = ""
        },
    });
};
</script>

<template>

    <v-app id="inspire">
        <v-container class="d-flex flex-column flex-nowrap flex-fill">

            <Head title="Login" />
            <v-row align="center" class="justify-center" no-gutters>
                <v-col class="flex-grow-0 flex-shrink-0" cols="4">
                    <v-card class="mx-auto pa-4 pb-2" elevation="8" max-width="448" rounded="lg">
                        <v-img class="mx-auto my-6" max-width="228"
                            src="https://upload.wikimedia.org/wikipedia/id/6/60/Logo_unusida.png"></v-img>
                        <v-form validate-on="submit lazy" @submit.prevent="submit">
                            <div class="text-subtitle-1 text-medium-emphasis">Account</div>

                            <v-text-field v-model="form.email" density="compact" placeholder="Email address"
                                prepend-inner-icon="mdi-email-outline" variant="outlined"
                                :error-messages="form.errors.email"></v-text-field>

                            <div class="text-subtitle-1 text-medium-emphasis d-flex align-center justify-space-between">
                                Password
                            </div>

                            <v-text-field v-model="form.password"
                                :append-inner-icon="visible ? 'mdi-eye-off' : 'mdi-eye'"
                                :type="visible ? 'text' : 'password'" density="compact"
                                placeholder="Enter your password" prepend-inner-icon="mdi-lock-outline"
                                :error-messages="form.errors.password" variant="outlined"
                                @click:append-inner="visible = !visible"></v-text-field>


                            <v-btn class="mb-8" color="green" size="large" variant="tonal" :loading="loading"
                                type="submit" block>
                                Log In
                            </v-btn>
                        </v-form>
                    </v-card>
                </v-col>
            </v-row>
        </v-container>
    </v-app>
</template>